%define anolis_release 2

%global pypi_name requests-cache

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        %{anolis_release}%{?dist}
Summary:        Persistent cache for requests library

License:        BSD
URL:            https://github.com/reclosedev/requests-cache
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

# Python 3 is default
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
BuildRequires:  python3-sphinx

%global _description\
Requests-cache is a transparent persistent\
cache for the requests (version >= 1.1.0) library.

%description %_description

%package -n     python3-%{pypi_name}
Summary:        Persistent cache for requests library

Requires:       python3-requests >= 1.1.0

%description -n python3-%{pypi_name}
Requests-cache is a transparent persistent
cache for the requests (version >= 1.1.0) library.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%py3_build


%install
%py3_install

# Fix rpmlints:
for lib in `find %{buildroot}%{python3_sitelib}/requests_cache -name '*.py' -print`; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
sed -i '1{\@^#!/usr/bin/python@d}' %{buildroot}%{python3_sitelib}/requests_cache/backends/storage/dbdict.py

sed -i 's/\r$//' LICENSE

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/requests_cache
%{python3_sitelib}/requests_cache-%{version}*


%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.5.1-2
- Rebuild with python3.11

* Fri May 19 2023 Funda Wang <fundawang@yeah.net> - 0.5.1-1
- Import package for anolis 23
